# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
---
loader: taskgraph.loader.transform:loader

transforms:
    - taskgraph.transforms.chunking
    - taskgraph.transforms.matrix
    - gecko_taskgraph.transforms.try_job:transforms
    - gecko_taskgraph.transforms.source_test:transforms
    - taskgraph.transforms.task_context
    - gecko_taskgraph.transforms.release_notifications:transforms
    - gecko_taskgraph.transforms.job:transforms
    - gecko_taskgraph.transforms.task:transforms

kind-dependencies:
    - fetch
    - toolchain
    - build
    - build-fat-aar

tasks-from:
    - android-l10n-lint.yml
    - android-detekt.yml
    - android-lint.yml
    - buildconfig.yml
    - clang.yml
    - doc.yml
    - file-metadata.yml
    - jsshell.yml
    - ktlint.yml
    - mozlint.yml
    - mozlint-android.yml
    - node.yml
    - puppeteer.yml
    - python.yml
    - python-android.yml
    - shadow-scheduler.yml
    - taskgraph.yml
    - vendor.yml
    - webidl.yml
    - webcompat.yml
    - wpt-manifest.yml
    - wpt-metadata.yml
    - wpt-unittest.yml

task-defaults:
    use-python: default
    use-uv: true
    attributes:
        retrigger: true
    task-context:
        from-object: {}
        substitution-fields: []
